Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.async
Interface Executable

    public interface Executable

Something we want to perform with protection to time it out.

Method Summary
`void` | `execute()` Perform the action
`void` | `timedOut()` Called when the timeout period is exceeded.

Method Detail

### execute

    void execute()

  Perform the action

### timedOut

    void timedOut()

  Called when the timeout period is exceeded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.